/*Copyright (C) 2009  Annette Bieniusa, Thomas Fuhrmann.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package dstm;

/**
 * Abstract class for messages sent by GAOs. 
 * @author Annette Bieniusa
 */

public abstract class GaoMessage<T> implements Message {
	protected static enum Type {
		SENDGAOV, READCONFLICT, VOTE, WRITECONFLICT
	}
	
	private Transaction receiver;
	private GAO<T> sender; 
	private Type t;
	
	protected GaoMessage (GAO<T> sender, Transaction receiver, Type t) {
		this.sender = sender;
		this.receiver = receiver;
		this.t = t;
	}
	
	protected Type getType() {
		return t;
	}
	
	protected Transaction getReceiver(){
		return receiver;
	}
	
	protected GAO<T> getSender() {
		return sender;
	}
	
}
