/*Copyright (C) 2009  Annette Bieniusa, Thomas Fuhrmann.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package dstm;

import java.util.Set;

/**
 * Read request message sent by transaction.
 * @author Annette Bieniusa
 *
 */

class ReadMessage extends TransactionMessage {
	private Set<GAOV<?>> readSet;

	protected ReadMessage (Transaction sender, GAO<?> receiver, Set<GAOV<?>> readSet) {
		super(sender, receiver, TransactionMessage.Type.READ);
		this.readSet = readSet;
	}

	@Override
	public String toString() {
		return (getSender() +" requests read");
	}	
	
	protected Set<GAOV<?>> getReadSet() {
		return readSet;
	}
}
