/*Copyright (C) 2009  Annette Bieniusa, Thomas Fuhrmann.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package dstm;

/**
 * Abstract class for messages sent by transactions.
 * @author Annette Bieniusa
 *
 */
public abstract class TransactionMessage implements Message {
	protected static enum Type {
		READ, COMMIT, VOTINGRESULT
	}
	
	private Transaction sender;
	private GAO<?> receiver; 
	private Type t;
	
	protected TransactionMessage (Transaction sender, GAO<?> receiver, Type t) {
		this.sender = sender;
		this.receiver = receiver;
		this.t = t;
	}
	
	protected GAO<?> getReceiver() {
		return receiver;
	}
	
	protected Type getType() {
		return t;
	}
	
	protected Transaction getSender() {
		return sender;
	}
}
