/*Copyright (C) 2009  Annette Bieniusa, Thomas Fuhrmann.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package dstm;

/**
 * Voting result for a transaction. 
 * @author Annette Bieniusa
 * @author Thomas Fuhrmann
 */

public class VotingResult {

	protected static final VotingResult SUCCESS = new VotingResult(0);
	protected static final VotingResult FAILED = new VotingResult(0);

	private double result;
	
	protected VotingResult(double result) {
		this.result = result;
	}
	
	protected double getResult() {
		return result;
	}
	
	@Override
	public String toString() {
		if (this == SUCCESS) {
			return "SUCCESS";
		} 
		
		if (this == FAILED) {
			return "FAILED";
		}
		
		return Double.toString(result);
	}

}
